Firefox 3 and xulrunner 1.9 needs translations

Bug #195013 reported by Milo Casagrande on 2008-02-24
62
Affects Status Importance Assigned to Milestone
Launchpad itself
Undecided
Carlos Perelló Marín
firefox-3.0 (Ubuntu)
High
Alexander Sack
Hardy
High
Alexander Sack
midbrowser (Ubuntu)
High
cwong1
Hardy
High
cwong1
xulrunner-1.9 (Ubuntu)
High
Alexander Sack
Hardy
High
Alexander Sack

Bug Description

Translations haven't been updated for firefox 3 in hardy yet.

 1. reuse translations for .desktop file from firefox-2 package
 2. produce locale packages from launchpad.

Related branches

Daniel Schwitzgebel (schwitzd) wrote :

Confirmed

Confirmed

Andrea Colangelo (warp10) wrote :

Confirming this bug.

Changed in firefox-3.0:
importance: Undecided → Medium
status: New → Confirmed

this is a final release blocker at least.

description: updated
Changed in firefox-3.0:
importance: Medium → High
milestone: none → ubuntu-8.04
Alexander Sack (asac) wrote :

same for xulrunner-1.9

Changed in xulrunner-1.9:
milestone: none → ubuntu-8.04
status: New → Confirmed
Alexander Sack (asac) wrote :

same for midbrowser

Changed in midbrowser:
importance: Undecided → High
milestone: none → ubuntu-8.04
status: New → Confirmed
Changed in xulrunner-1.9:
importance: Undecided → High
Changed in firefox-3.0:
milestone: ubuntu-8.04 → ubuntu-8.04-beta
Changed in midbrowser:
milestone: ubuntu-8.04 → ubuntu-8.04-beta
Changed in xulrunner-1.9:
milestone: ubuntu-8.04 → ubuntu-8.04-beta
Alexander Sack (asac) wrote :

we are working on getting translations from launchpad for hardy. pushing milestone ahead accordingly.

Changed in firefox-3.0:
milestone: ubuntu-8.04-beta → ubuntu-8.04
Changed in midbrowser:
milestone: ubuntu-8.04-beta → ubuntu-8.04
Changed in xulrunner-1.9:
milestone: ubuntu-8.04-beta → ubuntu-8.04
jeroenl (jeroenl) wrote :

Confirmed.

I tried to use the .xpi files (nl), like found here: ftp://ftp.mozilla.org/pub/firefox/releases/3.0b4/linux-i686/xpi/ , but although they install, the language is not activated.

Using Firefox b4 under KDE3 (Kubuntu).

Alexander Sack (asac) on 2008-03-25
description: updated
Alexander Sack (asac) on 2008-03-26
Changed in firefox-3.0:
assignee: nobody → asac
Changed in midbrowser:
assignee: nobody → asac
Changed in xulrunner-1.9:
assignee: nobody → asac
Artem Popov (artfwo) wrote :

xpi installation (ru) from the link provided by Jeroen works for me.

Caroline Ford (secretlondon) wrote :

As a related issue locale packages depend on firefox 2.

eg mozilla-firefox-locale-en-gb (2.0.0.7+1-0ubuntu3) depends on firefox 2. Language support installs the firefox-locale package and hence FF2.

Tayroni Alves (tay-fisica) wrote :

The pt-BR.xpi from

ftp://ftp.mozilla.org/pub/firefox/releases/3.0b5/linux-i686/xpi/

works on firefox-3.0 here (Hardy and Firefox-3.0 package, version 3.0~b5+nobinonly-0ubuntu1).

Steve Langasek (vorlon) wrote :

According to Fabien, the necessary changes have already been made to the firefox-3.0 packages, and the only thing remaining is to have the translations available through Launchpad. Juggling tasks here accordingly.

Changed in rosetta:
status: New → Confirmed
Changed in firefox-3.0:
status: Confirmed → Fix Released
Steve Langasek (vorlon) on 2008-04-11
Changed in midbrowser:
status: Confirmed → Fix Released
Changed in xulrunner-1.9:
status: Confirmed → Fix Released

Launchpad already has translations for firefox and xulrunner for beta5 and tomorrow's language pack for Hardy will include them.

Changed in rosetta:
assignee: nobody → carlos
milestone: none → 1.2.4
status: Confirmed → Fix Released
Alexander Sack (asac) wrote :

keeping one task open to keep this issue on release blocker list.

Changed in firefox-3.0:
status: Fix Released → Confirmed
Changed in midbrowser:
assignee: asac → carl-wong
status: Fix Released → Confirmed
Máté Őry (orymate) wrote :

I can't see any new language pack for hardy. When will l10n teams have time to check the po-based translation?

Tayroni Alves (tay-fisica) wrote :

After update of language-pack-gnome-pt-base, Firefox is in PT-PT but my system is in PT-BR.

jeroenl (jeroenl) wrote :

I just updated to the current language-pack-gnome-nl 1:8.04+20080415, but still no Dutch Firefox translation.

David Planella (dpm) wrote :

The bug seems to only be fixed for those languages with version 1:8.04+20080325ubuntu1 of the language-pack-gnome-xx-base package.

I commented it (comment #26) on bug 202301.

Tayroni Alves (tay-fisica) wrote :

sudo apt-cache show language-pack-gnome-pt-base
Package: language-pack-gnome-pt-base
Priority: optional
Section: translations
Installed-Size: 12680
Maintainer: Language pack maintainers <email address hidden>
Architecture: all
Version: 1:8.04+20080325ubuntu1

And my firefox-3.0 is still in pt-pt while my system is in pt-br. The bug is not fixed in that version (at least for me).

Tayroni Alves (tay-fisica) wrote :

After one more update, firefox is in pt-br. Thanks!

Alexander Sack (asac) wrote :

closing firefox task. this is done for firefox in hardy.

Changed in firefox-3.0:
status: Confirmed → Fix Released
Steve Langasek (vorlon) on 2008-04-22
Changed in midbrowser:
milestone: ubuntu-8.04 → none
Augusto Santos (mkhaos7) wrote :

Are we still talking about Firefox 3?
I'm running Kubuntu (Kde3) in Pt-BR but my FF3b5 is still in english.
I've trhe mozilla-firefrox-locale-pt-br installed but to no vail (in fact, it didn't work on Feisty neither).

Tayroni Alves (tay-fisica) wrote :

To Antonio Augusto: I believe you need to install language-pack-gnome-pt-base.

On Ubuntu, language support for firefox is enabled by default at least for pt-br.

Augusto Santos (mkhaos7) wrote :

Tayroni, the installation of that package resolved my issue! Now FF is in pt-br.

IMHO, the installation of the mozilla-firefox-locale-XX packs should depends of language0pack-gnome-XX-base since they won't work otherwise...

jeroenl (jeroenl) on 2008-04-27
Changed in midbrowser:
status: Confirmed → Fix Released
miguelquiros (mquiros) wrote :

I do not know if it is the same issue discussed here. I used to have Firefox3beta running correctly in Spanish. After an update via update-manager, firefox has been updated to 3.0~rc1+nobinonly-0ubuntu0.8.04.1 and language-pack-es-base to 1:8.04+20080527.1. After that, firefox does not longer appear in Spanish and I can see that there are no files in /<email address hidden>. I think that in this directory there should be some files provided by the package language-pack-es-base responsible for the translation to Spanish. These files have vanished after the upgrade.

On Thu, Jun 12, 2008 at 06:02:00PM -0000, miguelquiros wrote:
> I do not know if it is the same issue discussed here. I used to have
> Firefox3beta running correctly in Spanish. After an update via update-
> manager, firefox has been updated to 3.0~rc1+nobinonly-0ubuntu0.8.04.1
> and language-pack-es-base to 1:8.04+20080527.1. After that, firefox does
> not longer appear in Spanish and I can see that there are no files in
> /usr/lib/firefox-addons/extensions/langpack-es-
> <email address hidden>. I think that in this directory there should
> be some files provided by the package language-pack-es-base responsible
> for the translation to Spanish. These files have vanished after the
> upgrade.
>

Does running

 sudo apt-get install --reinstall language-pack-es-base

help?

 - Alexander

miguelquiros (mquiros) wrote :

Yes. I have reinstalled language-pack-es-base and firefox appears again in Spanish. What could be the problem? Packages updates in the wrong order?
Thanks for your help.

  • unnamed Edit (106 bytes, text/html; charset=ISO-8859-1)

Yes, the problem is in the installation order, but it must be fixed now (at
least in hardy-proposed).

Mmm... miguelquiros is right. There's a problem in the installation of the language pack files. They aren't be updated in the right order, so the Firefox translation is lost. They must be installed in the right order (ensuring language-pack-es-base is installed at the very end) for get it work.

The Conflicts field in language-pack-es-base package is not working properly.

Alexander Sack (asac) wrote :

On Sat, Jun 14, 2008 at 07:27:06AM -0000, Ricardo Pérez López wrote:
> Mmm... miguelquiros is right. There's a problem in the installation of
> the language pack files. They aren't be updated in the right order, so
> the Firefox translation is lost. They must be installed in the right
> order (ensuring language-pack-es-base is installed at the very end) for
> get it work.
>
> The Conflicts field in language-pack-es-base package is not working
> properly.
>

Could you please file a bug against that package and drop the bug id
here? If you get no answer, feel free to prod me directly through mail
or IRC.

Thanks!

 - Alexander

Alexander:

I've created the Bug #240028 about this issue, and I've send you a personal e-mail. Hope this helps!

Thanks a lot.

Alexander Sack (asac) wrote :

On Sat, Jun 14, 2008 at 05:32:45PM -0000, Ricardo Pérez López wrote:
> Alexander:
>
> I've created the Bug #240028 about this issue, and I've send you a
> personal e-mail. Hope this helps!
>
> Thanks a lot.
>

Welcome. should be fixed by now.

 - Alexander

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Bug attachments